/*
 *  DWUSCIMG
 *
 *      This routine displays and/or writes unsigned char image.
 *      It accepts a pointer to a float image (fltimg) and
 *      converts it to an unsigned char image (imgptr) in the
 *      space provided. The images are of size (nsize x nsize).
 *
 *  Author:     Paul J. Besl    (2-26-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           dwuscimg(image_ptr,n-size,out_options,
 *                           cmp_options,option,range_image,
 *                           string,default_filenames)
 *  Modules used:   savstring()     dspsub()    wrtimage()      outmenucmd()
 *
 */

#include <stdio.h>

int dwuscimg(imgptr,nsize,outoptns,cmpoptns,optn,rangimg,string,dfnames)
int             nsize,outoptns[],cmpoptns[],optn;
char            *rangimg,*string,*dfnames[];
unsigned char   *imgptr;
{
    register int            i,nsqr;
    register unsigned char  *ptr;
    register float          scale;
    int                     tsecs,mem,dzdisp;
    char                    *cptr;
    char                    *rindex(),*outmenucmd();
    char                    cmdstring[90];

    /* determine if image is flagged for output to file or deanza */

    if( outoptns[optn] == 0 )
    {
        printf("\n");
        return(0);
    }

    /* check for wait display mode */

    dzdisp = cmpoptns[7];
    if( dzdisp == 3 || dzdisp == 4 )
    {
        printf("Hit Return For Next Display__ ");
        if( gets(string) == NULL )
        {
            printf("\n");
            exit(0);
        }
        savstring(string,0,dfnames[0]);
    }
    tsecs = tstart();

    /* display image in Deanza and zoom */
/*
    if( dzdisp == 1 || dzdisp == 3 )
    {
        mem = cmpoptns[8];
        dspsub(mem,imgptr,nsize);
        printf("(%s) displayed\n",outmenucmd(optn,1));
    }
*/

    /* display image in cv deanza if opted for */
    if( dzdisp == 2  || dzdisp == 4 ) 
    {
        sprintf(cmdstring,"cvdsp %s z b",string);
        system(cmdstring);
        printf("(%s) displayed\n",outmenucmd(optn,1));
    }

    /* assemble filename and write file to processed data directory */

    if( dzdisp == 0 )
        printf("\n");
    if( cmpoptns[3] )
        return(0);
    cptr = rindex(rangimg,'/');
    if( cptr == 0 )
        cptr = rangimg;
    else
        cptr++;
    sprintf(string,"%s/%s.%s",dfnames[3],cptr,outmenucmd(optn,0));
    printf("Option #%d\n",optn);
    wrtimage(string,imgptr,nsize);
    tstop(tsecs,"Time to Write Standard Image");
}
