/*
 *  FABSIMG
 *
 *      This routine computes the absolute value of a
 *      float image.  It takes (fltimg) as input and
 *      fills up (magimg) as output.
 *      Image size: nx x ny.
 *      Returns Maximum Absolute Value of (magimg).
 *
 *  Author:     Paul J. Besl    (9-19-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           fabsimg(magnitude_image,float_image,
 *                          x_size,y_size)
 *  Modules used:   none
 *
 */

#include <math.h>

float fabsimg(magimg,fltimg,nx,ny)
float   *magimg,*fltimg;
int     nx,ny;
{
    register int    i,ntot;
    register float  fmax,*fptr,*mptr;

    /* create absolute value image */

    ntot = nx*ny;
    fmax=0.0;
    fptr = fltimg;
    mptr = magimg;
    for(i=0;i<ntot;++i)
    {
        *mptr = fabs(*fptr++);   /* m = |f| */
        if( *mptr > fmax )
            fmax = *mptr++;
        else
            mptr++;
    }
    return(fmax);
}
