/*
 *  FLOATIMAGE
 *
 *      This routine copies char image to float image.
 *      8-bit image is copied to a 32-bit float image.
 *      For general rectangular images.
 *
 *  Author:     Paul J. Besl    (2-25-84)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           floatimage(float_image_pointer,image_pointer,
 *                             x_size,y_size)
 *  Modules used:   none
 *
 */

void floatimage(fltimgptr,imgptr,nx,ny)
unsigned char   *imgptr;
float           *fltimgptr;
int             nx,ny;
{
    register int            i,ntot;
    register unsigned char  *iptr;
    register                float *fptr;

    /* copy char image to float image */

    ntot = nx*ny;
    fptr = fltimgptr;
    iptr = imgptr;
    for(i=0; i<ntot; ++i)
        *fptr++ = *iptr++;
}
