/*
 *  FROWCNVL
 *
 *      This routine performs row vector convolution for
 *      floating point numbers (32-bits) (New Version)
 *
 *  Author:     Paul J. Besl    (7-2-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           frowcnvl(out_image,vector,in_image,l_vector,
 *                           x_size,y_size)
 *  Modules used:   none
 *
 */

void frowcnvl(outimg,vector,inimg,lvec,nx,ny)
int     nx,ny,lvec;
float   *outimg,*inimg,*vector;
{
    register float      *iptr,*vptr,*optr;
    register int        i,j,k;
    register double     sum;
    int                 lhaf,lvec1,jstop;

    lhaf = lvec / 2;
    lvec1 = lvec - 1;
    jstop = nx - lhaf;

    /* convolve vector with input image creating output
       convolve each row separately                      */

    optr = outimg;
    for(i=0; i<ny; ++i)
    {
        for(j=0; j<lhaf; ++j)   /* zero out first lhaf pixels */
            *optr++ = 0.0;
        iptr = inimg + i*nx;
        for(j=lhaf; j<jstop; ++j)
        {
            sum = 0.0;
            vptr = vector;
            for(k=0; k<lvec; ++k)
                sum += (*vptr++) * (*iptr++);
            iptr -= lvec1;
            *optr++ = sum;
        }
        for(j=jstop; j<nx; ++j)  /* zero out last lhaf pixels */
            *optr++ = 0.0;
    }
}
