/*
 *  FWINDOPR
 *
 *      This routine performs floating point image window
 *      operation steps for convolution.
 *
 *  Author:     Paul J. Besl    (2-26-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           fwindopr(ptrout,ptrin,scrptr,nx,ny,vecx,vecy,wsize,
 *                           outoptions,cmpoptions,option,rangimg,
 *                           string,dfnames)
 *  Modules used:   frowcnvl()      fcolcnvl()      dwfltimg()
 *
 */

fwindopr(ptrout,ptrin,scrptr,nx,ny,vecx,vecy,wsize,
         outoptions,cmpoptions,option,rangimg,string,dfnames)
float   *ptrin,*ptrout,*scrptr,*vecx,*vecy;
int     nx,ny,wsize,outoptions[],cmpoptions[],option;
char    *string,*rangimg,*dfnames[];
{
    int     tsecs;
    float   fmax,fmin;

    tsecs = tstart();
    frowcnvl(scrptr,vecx,ptrin,wsize,nx,ny); 
    fcolcnvl(ptrout,vecy,scrptr,wsize,nx,ny);
    dwfltimg(ptrout,scrptr,nx,outoptions,cmpoptions,option,
             rangimg,string,&fmax,&fmin,dfnames);
    tstop(tsecs,"General Separable Convolution");
}
