/*
 *  GAUSSRAND
 *
 *      This routine performs normalized float random
 *      number generation and produces zero-mean
 *      unit-variance random numbers.
 *
 *  Author:     Paul J. Besl    (2-12-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           unifrand()
 *  Modules used:   none
 *
 */

float gaussrand()
{
    register float      x;
    register int        sum;
    unsigned int        rand();
    static long int     max = { (2*(32768*32768-1))+1 };
    static float        factr;

    factr = 32.0/((float)((2*(32768*32768-1))+1));

    sum = 0;
    sum += (rand() >> 5);   /* 1 */
    sum += (rand() >> 5);   /* 2 */
    sum += (rand() >> 5);   /* 3 */
    sum += (rand() >> 5);   /* 4 */
    sum += (rand() >> 5);   /* 5 */
    sum += (rand() >> 5);   /* 6 */
    sum += (rand() >> 5);   /* 7 */
    sum += (rand() >> 5);   /* 8 */
    sum += (rand() >> 5);   /* 9 */
    sum += (rand() >> 5);   /* 10 */
    sum += (rand() >> 5);   /* 11 */
    sum += (rand() >> 5);   /* 12 */
    sum += (rand() >> 5);   /* 13 */
    sum += (rand() >> 5);   /* 14 */
    sum += (rand() >> 5);   /* 15 */
    sum += (rand() >> 5);   /* 16 */
    sum = sum - (max >> 2);
    x = factr*(float)sum;
    return(x);
}
