/*
 *  GETIMAGE
 *
 *  This routine reads the file by the name filename
 *  into a n x n virtual memory array created by this
 *  routine using malloc.  The pointer to the start
 *  of the array is returned to the calling program.
 *
 *  Author:     Paul J. Besl    (12-6-84)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           getimage(file_name,n_size)
 *  Modules used:   none
 *
 */

#include <stdio.h>
#include <math.h>

unsigned char *getimage(filename,nsize)
char    *filename;
int     *nsize;
{
    register unsigned char *inptr;  /* pointer to image */
    unsigned char *malloc();       /* memory allocator */
    register int nsqr;            /* image size constant */
    register int nread;          /* number of bytes read */ 
    int  fd,size;
    FILE *filptr;

    /* open file, exit if not successful */

    filptr = fopen(filename,"r");
    if(filptr == NULL)
    {
        fprintf(stderr,"getimage: Can't Open File '%s'\n",filename);
        exit(1);
    }

    /* determine size of square image in file */

    fseek(filptr,0,2);
    nsqr = ftell(filptr);
    if(nsqr < 4)
        nsqr=512*512;
    fclose(filptr);
    size = sqrt( (double)nsqr );

    /* fill up input image array with pixel data */

    inptr=malloc(nsqr); 
    fd=open(filename,0);
    nread=read(fd,inptr,nsqr);
    close(fd);

    /* exit and notify user of error */

    if(nread != nsqr)
        fprintf(stderr,"getimage: Input Read Error\n");

    /* return pointer to calling program */
    fprintf(stderr,"%dx%d image read from '%s'\n",size,size,filename);
    *nsize = size;
    return(inptr);
}
