/*
 *  GETRIFN
 *
 *      This routine gets the range image file-name.
 *      By default, the standard range image directory is listed.
 *      A valid filename is formed by checking entered filename
 *      first and then prepending standard range image directory.
 *
 *  Author:     Paul J. Besl    (2-7-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           getrifn(range_image,string,argc,argv,default_filnenames)
 *  Modules used:   savstring()
 *
 */
 
/* stop listing <stdio.h> */
/* #nolist */
#include <stdio.h>
/* #list */

#define LISTRIMGS  "ls -sC"

void getrifn(rangimg,string,argc,argv,dfnames)
char    *rangimg,*string,*argv[],*dfnames[];
int     argc;
{
    int     fd;         /* file descriptor  existence of file */

    if( argc >= 2)
    {
        strcpy(string,argv[1]);
        goto open_file;
    }

    /* Prompt for range_image file name until you get a good one */

    get_rimg:
        printf("\nEnter Range_Image File_Name__ ");
        if( gets(string) == NULL )
        {
            printf("\n");
            exit(0);
        }
        if(strlen(string) == 0) 
        {
            sprintf(string,"%s %s\n",LISTRIMGS,dfnames[2]); 
            system(string);
            goto get_rimg;
        }

    open_file:

        fd = open(string,0);
        if(fd < 0)
        {
            strcpy(rangimg,dfnames[2]);
            strcat(rangimg,string);
            fd = open(rangimg,0);
            if(fd < 0)
            {
                printf("Can't Find File '%s'\n",rangimg);
                goto get_rimg;
            }
        }
        else
            strcpy(rangimg,string);
        close(fd);                      /* Valid File Name Obtained */
        strcpy(string,rangimg);
        strcat(string,"\n");
        savstring(string,1,dfnames[0]);
}
