/*
 *  IMGAND
 *
 *      This routine does a image AND operation.
 *      [a] = [b] & [c] { [a]=(m x n)  [b]=(m x n) [c]=(m x n) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           imgand(a_pointer,b_pointer,c_pointer,m,n)
 *  Modules used:   none
 *
 */

void imgand(aptr,bptr,cptr,m,n)
unsigned char   *aptr,*bptr,*cptr;
int             m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra,*ptrb,*ptrc;

    ntot = m*n;
    ptra = aptr;
    ptrb = bptr;
    ptrc = cptr;
    for(i=0;i<ntot;++i)
        *ptra++ = (*ptrb++) & (*ptrc++);
}
