/*
 *  MATCPY
 *
 *      This routine does a single-precision matrix copy
 *      [a] = [b]  { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (6-29-84)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           matcpy(a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

void matcpy(aptr,bptr,m,n)
float   *aptr,*bptr;
int     m,n;
{
    register int    i,k;
    register float  *ptra,*ptrb;

    k = m*n;
    ptra = aptr;
    ptrb = bptr;
    for(i=0;i<k;++i)
        *ptra++ = *ptrb++;
}
