/*
 *  MATSUB
 *
 *      This routine does a single-precision matrix subtraction
 *      [a] = [b] + [c] { [a]=(m x n)  [b]=(m x n) [c]=(m x n) }
 *
 *  Author:     Paul J. Besl    (7-24-84)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           matsub(c_pointer,a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

void matsub(cptr,aptr,bptr,m,n)
float   *cptr,*aptr,*bptr;
int     m,n;
{
    register int    i,ntot;

    ntot = n * m;
    for(i=0;i<ntot;++i)
        *cptr++ = (*aptr++) - (*bptr++);
}
