/*
 *  PRINTOUT
 *
 *      This routine prints surface curvature scalar
 *      averages to file.
 *
 *  Author:     Paul J. Besl    (2-19-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           printout(nsqr,area,avgH,Hplus,Hminus,Habs,avgK,
 *                           Kplus,Kminus,Kabs,avgb,babs,avginvK,
 *                           nposK,nnegK,nzeroK,nposH,nnegH,nzeroH)
 *  Modules used:   none
 *
 */

#include <stdio.h>
#include <math.h>

void printout(nsqr,area,avgH,Hplus,Hminus,Habs,avgK,Kplus,Kminus,Kabs,
              avgb,babs,avginvK,nposK,nnegK,nzeroK,nposH,nnegH,nzeroH)
int     nsqr;
float   area,avgH,Hplus,Hminus,Habs,avgK,Kplus,Kminus,Kabs;
float   avgb,babs,avginvK,nposK,nnegK,nzeroK,nposH,nnegH,nzeroH;
{
    float   pct;
    FILE    *sptr;

    sptr = stdout;

    /* print out scalar Features */

    fprintf(sptr,"Area = %g\n",area);
    fprintf(sptr,"SumH = %g\n",avgH);
    fprintf(sptr,"   H+ = %g\n",Hplus); 
    fprintf(sptr,"   H- = %g\n",Hminus); 
    fprintf(sptr,"   |H|= %g\n",Habs); 
    fprintf(sptr,"SumK = %g\n",avgK); 
    fprintf(sptr,"   K+ = %g\n",Kplus); 
    fprintf(sptr,"   K- = %g\n",Kminus); 
    fprintf(sptr,"   |K|= %g\n",Kabs); 
    fprintf(sptr,"Sumb = %g\n",avgb);
    fprintf(sptr,"   |b|= %g\n",babs); 
    fprintf(sptr,"SuminvK = %g\n",avginvK);

    /* write statistics to stdout */

    fprintf(sptr,"Number of Positive K Pixels = %g\n",nposK);
    fprintf(sptr,"Number of Negative K Pixels = %g\n",nnegK);
    fprintf(sptr,"Number of Zero     K Pixels = %g\n",nzeroK);
    pct = (nposK/(float)nsqr);
    fprintf(sptr,"Positive K Percent = %g\n",pct*100.0);
    pct = (nnegK/(float)nsqr);
    fprintf(sptr,"Negative K Percent = %g\n",pct*100.0);
    pct = (nzeroK/(float)nsqr);
    fprintf(sptr,"Zero     K Percent = %g\n",pct*100.0);

    fprintf(sptr,"Number of Positive H Pixels = %g\n",nposH);
    fprintf(sptr,"Number of Negative H Pixels = %g\n",nnegH);
    fprintf(sptr,"Number of Zero     H Pixels = %g\n",nzeroH);
    pct = (nposH/(float)nsqr);
    fprintf(sptr,"Positive H Percent = %g\n",pct*100.0);
    pct = (nnegH/(float)nsqr);
    fprintf(sptr,"Negative H Percent = %g\n",pct*100.0);
    pct = (nzeroH/(float)nsqr);
    fprintf(sptr,"Zero     H Percent = %g\n",pct*100.0);
}
