/*
 *  SURFCOLR
 *
 *      This routine combines sign S-curvature images and
 *      color code.  Although theoretically impossible,
 *      digital computations can allow K>0 H=0 in some cases.
 *      This impossible combination is now colored dark red.
 *
 *  Author:     Paul J. Besl    (2-27-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           surfcolr(sign_h_image,sign_k_image,h_k_image,
 *                           x_size,y_size)
 *  Modules used:   none
 *
 */

void surfcolr(shimg,skimg,hkimg,nx,ny)
unsigned char   *shimg,*skimg,*hkimg;
int             nx,ny;
{
    register unsigned char  *p1,*p2,*p3;
    register int            i,signh,signk;
    int                     ntot,badcount;
    static int              mapcode[9] = { 210, 126, 84, 252, 168, 42, 255, 220, 0 };

    ntot = nx*ny;
    badcount = 0;
    p1 = shimg;
    p2 = skimg;
    p3 = hkimg;
    for(i=0; i<ntot; ++i)
    {
        signh = *p1++;
        signk = *p2++;
        signh = signh >>6;
        signk = signk >>6;
        if( signh != 0 )
            signh--;
        if( signk != 0 )
            signk--;
        signh += 3*signk;
        *p3++ = mapcode[signh];
        if( signh == 7 && badcount < 50 ) /* two screenfuls */
        {
            printf("K>0 H=0 (%d,%d)\n",i%nx,i/nx);
            badcount++;
        }
    }
}
