/*
 *  TRIVECTRL
 *
 *      This routine builds a triangle smoothing vector.
 *
 *  Author:     Paul J. Besl    (2-26-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           trivectr(l_vector,vector_pointer)
 *  Modules used:   none
 *
 */

void trivectr(lvec,vecptr)
int     lvec;
float   *vecptr;
{
    register int    i,lhaf;
    register float  denom,*vptr;

    lhaf = lvec/2;
    denom = (lhaf+1)*(lhaf+1);
    vptr = vecptr;
    for(i=0; i<lvec; ++i)
        *vptr++ = ( 1.0 + lhaf - abs(lhaf-i) )/denom;
}
