/*
 *  WRTIMAGE
 *
 *  This subroutine writes the file by the name (filename)
 *  with a n x n virtual memory array.
 *
 *  Author:     Paul J. Besl    (12-6-84)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           wrtimage(file_name,image_pointer,size)
 *  Modules used:   none
 *
 */

/* stop listing of <stdio.h> */
/* #nolist */
#include <stdio.h>
/* #list */

void wrtimage(filename,imgptr,nsize)
char            *filename;
unsigned char   *imgptr;
int             nsize;
{
    register int    nsqr;            /* image size constant */
    register int    nwrite;          /* number of bytes written */ 
    int             fd;

    /* open file, exit if not successful */

    fd = creat(filename,0644);
    if(fd < 0)
    {
        fprintf(stderr,"wrtimage: Can't Open File '%s'\n",filename);
        exit(1);
    }

    /* fill up input image array with pixel data */

    nsqr=nsize*nsize;
    nwrite=write(fd,imgptr,nsqr);
    close(fd);

    /* exit and notify user of error */

    if(nwrite != nsqr)
        fprintf(stderr,"wrtimage: Output_Write_Error\n");

    /* return pointer to calling program */
    /*free(imgptr);*/
    fprintf(stderr,"%dx%d image written to '%s'\n",nsize,nsize,filename);
}
