/*
 *  BBUPDATE
 *
 *      This routine performs update of blackboard image.
 *      [blakbord] = [blackbord] && NOT( nonzero( [img] ) )
 *      Uses First Come First Serve Rule.
 *      { [blakbord]=(m x n)  [img]=(m x n) }
 *
 *  Author:     Paul J. Besl    (7-20-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           bbupdate(blakbord,imgptr,m,n,image_label)
 *  Modules used:   none
 *
 */

int bbupdate(blakbord,imgptr,m,n,ilabl)
unsigned char   *blakbord,*imgptr;
int             m,n,ilabl;
{
    register int            i,ntot,cnt;
    register unsigned char  *ptra,*ptrb;

    ntot = m*n;
    ptra = blakbord;
    ptrb = imgptr;
    cnt = 0;
    for(i=0;i<ntot;++i) 
    {
        if( *ptrb++ && *ptra == 255 )
        {
            *ptra++ = ilabl;
            cnt++;
        }
        else
            ptra++;
    }
    return(cnt);
}
