/*
 *  CHKSUBIMG
 *
 *      This routine checks the subimage options and fixes the
 *      image pointers, if necessary -- as directed by the 
 *      appropriate top-down vision module.
 *
 *
 *  Author:     Arnold. H. Chiu (8-31-88)
 *  
 *  Call:           chksubimg(cmpoptions,orgimg,imgptr,&nsize)
 *  Modules used:   none
 *
 */

#include <stdio.h>
 
/* subimage box option parameters */
#define XLB     12
#define YLB     13
#define XUB     14
#define YUB     15

void chksubimg(cmpoptions,origaddr,imgaddr,xsize,ysize,filptr)
unsigned char   **origaddr,**imgaddr;
int             *cmpoptions,*xsize,*ysize;
FILE            *filptr;
{
    unsigned char   *origimg = *origaddr;
    unsigned char   *imgptr  = *imgaddr;
    unsigned char   *origimg1,*imgptr1;
    int             n = *xsize;
    int             n1,offset;
    int             xmin = cmpoptions[XLB];
    int             xmax = cmpoptions[XUB];
    int             ymin = cmpoptions[YLB];
    int             ymax = cmpoptions[YUB];
    int             i,j;

    /* return if no need to update pointers
       and image size otherwise, do it.    */

    if ((xmin == 0) && (ymin == 0) && (xmax == n) && (ymax == n))
        return;

    fprintf(filptr,"Analyzing subimage: (%d,%d) (%d,%d)\n",xmin,ymin,xmax,ymax);
    fprintf(stderr,"Analyzing subimage: (%d,%d) (%d,%d)\n",xmin,ymin,xmax,ymax);
    *xsize = xmax - xmin;
    *ysize = ymax - ymin;
    offset = n*ymin + xmin;
    for(i=0;i<offset;i++,origimg++,imgptr++);
    *origaddr = origimg;
    *imgaddr  = imgptr;
    origimg += *xsize;
    imgptr  += *xsize;
    n1 = *ysize - 1;
    for(i=0;i<n1;i++)
        for(j=0;j<*xsize;j++,origimg++,imgptr++)
        {
            origimg1 = *origaddr+(i+1)*n+j;
            *origimg = *origimg1;
            imgptr1  = *imgaddr+(i+1)*n+j;
            *imgptr  = *imgptr1;
        }
}
