/*
 *  CONTRACTX
 *
 *     This routine contract regions of binary image
 *     Return the number of non-zero pixels
 *     This subroutine only turns some nonzero pixels
 *     to zero. It cannot turn any zeros to non-zeros.
 *
 *  Author:     Paul J. Besl    (5-14-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           contractx(image_pointer,output_pointer,x_size,y_size,first,last)
 *  Modules used:   none
 *
 */

int contractx(imgptr,outptr,nx,ny,first,last)
unsigned char   *imgptr,*outptr;
int             nx,ny,*first,*last;
{
    int                     ntot,itemp,jtemp,count,flg1st;
    register int            log1,i;
    register unsigned char  *p1,*p2,*p3,*po;

    /* Initialize Values and Pointers */

    ntot = nx*ny;
    count = 0;
    itemp = nx+1;
    po = outptr;
    jtemp = ntot - itemp;
    p1 = outptr + jtemp;
    for(i=0; i<itemp; ++i)
    {
        *po++ = 0;
        *p1++ = 0;
    }
    if( *first < 0 )
        *first = 0;
    if( *last  < 0 )
        *last = ntot;
    if( *last > ntot )
        *last = ntot;
    ntot = ntot - 2*(nx+1);
    if( *last < ntot )
        ntot = (*last);
    p1 = imgptr + 1 + (*first);
    p2 = p1 + nx;
    p3 = p2 + nx; 
    po = outptr + nx + 1 + (*first);

    /* For Each Pixel in the Output Image */

    flg1st = 1;
    for(i=(*first); i<ntot; ++i)
    {
        if( *p2 != 0 )
        {
            if( flg1st )
            {
                (*first) = i;
                flg1st = 0;
            }
        	*last = i;
        	p1--;   p2--;   p3--;
            log1 = *p1 && *p2 && *p3;
            p1++;   p2++;   p3++;
            log1 = log1 && *p1 && *p2 && *p3;
            p1++;   p2++;   p3++;
            if( log1 && *p1 && *p2 && *p3 )
            {
                *po++ = 255;
                count++;
            }
            else
                *po++ = 0;
        }
        else
        {
            p1++;   p2++;   p3++;
            *po++ = 0;
        }
    }
    return(count);
}
