/*
 *  DUMBSORT
 *
 *     Sort Integer Array (a) from Max to Min.
 *     Maintain association of (b) array.
 *     Arrays of length (n).
 *     Use Dumb but Simple Sort Technique. (Yuk! Bubble sort !?!?!)
 *
 *  Author:     Paul J. Besl    (2-1-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           dumbsort(a,b,n)
 *  Modules used:   none
 *
 */

void dumbsort(a,b,n)
int     *a,*b,n;
{
    register int    i,j,itmp;
    int             max,imax;

    for(i=0; i<n; ++i)
    {
        max = a[i];
        imax = i; 
        for(j=i+1; j<n; ++j)
        {
            if( a[j] > max )
            {
                max = a[j];
                imax = j;
            }
        }
        if( i != imax )
        {
            /* swap */
            itmp = a[i];
            a[i] = a[imax];
            a[imax] = itmp;
            itmp = b[i];
            b[i] = b[imax];
            b[imax] = itmp;
        }
    }
}
