/*
 *  ERRSUM
 *
 *     This subroutine takes the error buffer and computes 
 *     average absolute error, RMS error, and max error.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           errsum(error_buffer,x_size,y_size,error_mark)
 *  Modules used:   none
 *
 */

#include <math.h>

float errsum(errbuf,nx,ny,errmrk)
float   *errbuf,errmrk; 
int     nx,ny;
{
    register int    i,ntot,count;
    register float  *errptr;
    float           avgerr,sqrerr,maxerr;

    /* Loop over all data points */

    avgerr = sqrerr = maxerr = 0.0;
    ntot = nx*ny;
    errptr = errbuf;
    count = 0;
    for(i=0;i<ntot;++i)
    {
        sqrerr += (*errptr)*(*errptr);
        if( maxerr < *errptr )
            maxerr = *errptr;
        if( *errptr > errmrk )
            count++;
        avgerr += *errptr++;
    }
    avgerr /= (float)ntot;
    sqrerr /= (float)ntot;
    sqrerr = sqrt(sqrerr);
    printf("Image_Error: %g < %g < %g (e1,e2,e8) %d Pixels\n",avgerr,sqrerr,maxerr,count);
    return(avgerr);
}
