/*
 *  EVALERR
 *
 *      This routine evaluate error tolerance for compatibility.
 *      Set error tolerance consistently across surface types.
 *      It is called once per region grow.
 *      (factor) should be around 2.8
 *
 *  Author:     Paul J. Besl    (4-20-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           evalerr( error_total, factor, error_max )
 *  Modules used:   
 *
 */

#define ERRORMIN 1.1

float evalerr( errtol, factor, errmax )
float   errtol,factor,errmax;
{
    float   thres;

    /* Always Collect Compatible Pixels within 1.1 gray levels */

    thres = ERRORMIN; 
    errtol = factor*errtol;
    if( errtol < thres )
        errtol = thres;
    return(errtol);
}
