/*
 *  FIMGLIM
 *
 *  This routine performs float image threshold limit operation.
 *  [a] = ( Thres( [b] ) ) { [a]=(m x n) }
 *
 *  Author:     Paul J. Besl    (11-24-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           fimglim(a_pointer,m,n,threshold)
 *  Modules used:   none
 *
 */

void fimglim(aptr,m,n,thres)
float   *aptr,thres;
int     m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra;

    ntot = m*n;
    ptra = aptr;
    for(i=0;i<ntot;++i) 
    {
        if( *ptra > thres )
            *ptra++ = thres;
        else
            ptra++;
    }
}
