/*
 *  IMGBDRSET
 *
 *
 *      This rotuine puts border around "unsigned char" image.
 *      Some Routines are affected by extraneous
 *      data in outer frame region of image where
 *      there is not enough data to compute output.
 *      This routine sets pixels equal to (value).
 *
 *  Author:     Paul J. Besl    (8-23-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           imgbdrset(image_pointer,x_size,y_size,window_size,value)
 *  Modules used:   imghist(), dumbsort(), rgnbrc()
 *
 */

imgbdrset(imgptr,nxsize,nysize,wsize,value)
unsigned char   *imgptr;
int             nxsize,nysize,wsize,value;
{
    register int            i,j;
    register unsigned char  *lptr,*rptr;
    int                     whalf,offset,stop;
    unsigned char           *start;

    whalf  = wsize/2;
    stop   = nysize - whalf;
    start  = imgptr + whalf;
    offset = nxsize - wsize;

    /* fixup first whalf and last two scanlines of image */

    for(i=0; i<whalf; ++i)       
    {
        lptr = imgptr + i*nxsize;
        rptr = imgptr + (i+stop)*nxsize;
        for(j=0; j<nxsize; ++j)
            *lptr++ = *rptr++ = value;
    }

    /* fixup two pixels at beginning and end of each scanline */

    for(i=whalf; i<stop; ++i)
    {
        lptr = start + i*nxsize;
        rptr = lptr + offset;
        for(j=0; j<whalf; ++j)
            *--lptr = *++rptr = value;
    }
}
