/*
 *  IMGHIST
 *
 *      This routine constructs a histogram for "unsigned char"
 *      images and pass back pointer to histogram.
 *      [histogram] = hist( [a] )
 *      { [a]=(m x n)  [histogram]=(1 x 256) }
 *
 *  Author:     Paul J. Besl    (7-20-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           imghist(array_pointer,m_size,n_size,histogram)
 *  Modules used:   none
 *
 */
 
imghist(aptr,m,n,histogram)
unsigned char   *aptr;
int             m,n,histogram[];
{
    register int            i,ntot,*hptr;
    register unsigned char  *ptra;

    hptr = histogram;
    for(i=0;i<256;++i)
        *hptr++ = 0;
    ntot = m*n;
    ptra = aptr;
    hptr = histogram;
    for(i=0;i<ntot;++i)
        ++hptr[ *ptra++ ];
}
