/*
 *  IMGITH
 *
 *  This routine performs image (inverse) thresholding
 *  [a] = NOT( Thres( [b] ) ) { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (10-12-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           imgith(a_pointer,b_pointer,m,n,threshold)
 *  Modules used:   none
 *
 */

void imgith(aptr,bptr,m,n,thres)
unsigned char   *aptr,*bptr;
int             m,n,thres;
{
   register int             i,ntot;
   register unsigned char   *ptra,*ptrb;

   ntot = m*n;
   ptra = aptr;
   ptrb = bptr;
   for(i=0;i<ntot;++i) 
   {
      if( *ptrb++ > thres )
         *ptra++ = 0;
      else
         *ptra++ = 255;
   }
}
