/*
 *  IMGMSD
 *
 *  This routine performs image mean standard-deviation.
 * 
 *  [a] = NOT [a]  { [a]=(m x n) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           imgmsd(a_pointer,m,n,mean,standard_deviation,
 *                        max,min)
 *  Modules used:   none
 *
 */

/* stop listing <math.h> */
/* #nolist */
#include <math.h>
/* #list */

void imgmsd(aptr,m,n,mean,stdev,max,min)
unsigned char   *aptr;
int             m,n,*mean,*stdev,*max,*min;
{
    register int            i,ntot,val,sum,sumsqr;
    register unsigned char  *ptra;
    int                     imax,imin;
    float                   tmp1,tmp2;

    ntot = m*n;
    ptra = aptr;
    sum = *ptra++;
    sumsqr = sum*sum;
    imax = imin = sum;
    for(i=1;i<ntot;++i) 
    {
        val = *ptra++;
        sum += val;
        sumsqr += val*val;
        if( val > imax )
            imax = val;
        else if( val < imin )
            imin = val;
    }
    tmp1 = (float)sum/(float)ntot;
    tmp2 = ((float)sumsqr/(float)ntot) - tmp1*tmp1;
    tmp2 = sqrt(tmp2);
    *mean = (int)(tmp1 + 0.5);
    *stdev = (int)(tmp2 + 0.5);
    *max = imax;
    *min = imin;
}
