/*
 *  IMGOR2
 *
 *  This routine performs image OR: A = A OR B
 *  [a] = [a] | [b]  { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (6-30-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           imgor2(a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

void imgor2(aptr,bptr,m,n)
unsigned char   *aptr,*bptr;
int             m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra,*ptrb;

    ntot = m*n;
    ptra = aptr;
    ptrb = bptr;
    for(i=0;i<ntot;++i)
        *ptra++ |= (*ptrb++);
}
