/*
 *  IMGROVLPF
 *
 *      This routine detects region overlap
 *      Faster version jumps out as soon as one pixel is found
 *      if( [a] & [b] != [0] ) { [a]=(mxn)  [b]=(mxn) }
 *      Runs faster if image a has more zeros.
 *      Returns 1 if Overlap, 0 otherwise.
 *
 *  Author:     Paul J. Besl    (8-18-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           imgrovlpf(a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

int imgrovlpf(aptr,bptr,m,n)
unsigned char   *aptr,*bptr;
int             m,n;
{
    register int            i,ntot,count;
    register unsigned char  *ptra,*ptrb;
    
    ntot = m*n;
    ptra = aptr;
    ptrb = bptr;
    count = 0;
    for(i=0;i<ntot;++i) 
    {
        if( *ptra && *ptrb )
        {
            ++count;
            break;
        }
        ptra++; ptrb++;
    }
    return(count);
}
