/*
 *  ITERPRNT
 *
 *      This subroutines prints iteration plot data to stdout and
 *      to the file (plotfil) for subsequent analysis and display.
 *      Requires at least 3 data points before written to file.
 *
 *  Author:     Paul J. Besl    (9-9-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           iterprnt(plot_file,num_iteration,error_level,
 *                           compat,conected,fm_list,isurf)
 *  Modules used:   none
 *
 */

/* stop listing <stdio.c> */
/* #nolist */
#include <stdio.h>
/* #list */

void iterprnt(plotfil,numiter,errlevl,compat,conected,fmlist,isurf)
int     numiter,compat[],conected[],fmlist[],isurf;
float   errlevl[];
FILE    *plotfil;
{
    register int    i;

    printf("\n *** %d Region Growing Iterations for Surface %d ***\n",
           numiter,isurf);
    for(i=0;i<numiter;++i)
        printf("Itr#%2d: RMSE=%g Compat_Pxls=%d Conect_Pxls=%d FM=%d\n",
               i,errlevl[i],compat[i],conected[i],fmlist[i]);

    if( numiter > 2 )
    {
        fprintf(plotfil,"%d Iterations for Surface %d\n",numiter,isurf);
        for(i=0;i<numiter;++i)
            fprintf(plotfil,"%d %g %d %d %d\n",
                    i,errlevl[i],compat[i],conected[i],fmlist[i]);
    }
}
