/*
 *  MATATAD
 *
 *      This routine performs double precision
 *      matrix * matrix-transpose multiplication
 *      [c] is always a symmetric matrix.
 *               T
 *      [c] = [a] [a]  { [c]=(n x n)  [a]=(m x n) }
 *      (Better version of matmtsd subroutine.)
 *
 *  Author:     Paul J. Besl    (4-21-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           matatad(c_pointer,a_pointer,m,n)
 *  Modules used:   none
 *
 */

void matatad(cptr,aptr,m,n)
double      *cptr,*aptr;
int         m,n;
{
    register int        i,j,k;
    register double     sum;

    for(i=0;i<n;++i)
        for(j=i;j<n;++j)
        {
            sum = 0.0;
            for(k=0;k<m;++k)
                sum += (*(aptr+(k*n)+i))*(*(aptr+(k*n)+j));
          *(cptr + i*n + j) = sum;
          if( i != j ) *(cptr + j*n + i) = sum;
        }
}
