/*
 *  MATMULD
 *
 *      This routine performs single precision matrix multiplication.
 *      [c] = [a][b]  { [c]=(mxn)  [a]=(mxl)  [b]=(lxn) }
 *
 *  Author:     Paul J. Besl    (6-29-84)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           matmuld(c_pointer,a_pointer,b_pointer,m,l,n)
 *  Modules used:   
 *
 */

void matmuld(cptr,aptr,bptr,m,l,n)
double  *cptr,*aptr,*bptr;
int     m,l,n;
{
    register int        i,j,k;
    register double     sum;

    for(i=0;i<m;++i)
        for(j=0;j<n;++j)
        {
            sum = 0.0;
            for(k=0;k<l;++k)
                sum += (*(aptr+(i*l)+k))*(*(bptr+(k*n)+j));
            *cptr++ = sum;
        }
}
