/*
 *  MATTPSD
 *
 *  This routine performs single precision matrix transpose.
 *
 *          t
 * [a] = [b]  { [a]=(nxm)  [b]=(mxn) }
 *
 *  Author:     Paul J. Besl    (6-29-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           mattpsd(a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

void mattpsd(aptr,bptr,m,n)
double      *aptr,*bptr;
int         m,n;
{
    register int    i,j,k;

    for(i=0;i<n;++i)
        for(j=0;j<m;++j)
            *aptr++ = (*(bptr+(j*n)+i));
}
