#define MASK 0x0010  /* mask out center pixel of 3x3 window */

int regnrefn(imgptr,outptr,nx,ny,opt)
unsigned char *imgptr,*outptr;
int  nx,ny,opt;
/*
 *  REFINE REGION OUTPUT USING PRECOMPUTED MASKS
 *  This subroutine refines the output of the
 *  region grower operator to cleanup isolated pixels.
 *  It can only turn on pixels that are off.
 *  Hence, it is different from previously implemented edge
 *  operations that may turn on or turn off pixels.
 *  Returns the number of changes made to image.
 *  Paul J. Besl  8-5-85
 */
{
register int sum,val;
register unsigned char *p1,*p2,*p3,*po;
int ntot,i,map3wndwr(),count,changes;
/*----------------------------------------------------------*/
/*
 * Zero Out Pixels without Complete 3x3 Neighborhoods
 */
ntot = nx*ny;
count = nx+1; po = outptr; sum = ntot - count; p1 = outptr + sum;
for(i=0; i<count; ++i) { *po++ = 0; *p1++ = 0; }
/*
 * Initialize Values and Pointers
 */
ntot = ntot - 2*(nx+1);    changes = 0;
p1 = imgptr; p2 = p1 + nx; p3 = p2 + nx;
p1++;        p2++;         p3++;
po = outptr + nx + 1;
/*
 * For Each Pixel in the Output Image
 */
for(i=0; i<ntot; ++i)
   { if( *p2 == 0 )
       { p1--; p2--; p3--; val = 0; count = 0; sum = 0;
         if( *p1 ) { sum++;      val += *p1;  count++; }
         if( *p2 ) { sum += 8;   val += *p2;  count++; }
         if( *p3 ) { sum += 64;  val += *p3;  count++; }
         p1++;  p2++;  p3++;
         if( *p1 ) { sum += 2;   val += *p1;  count++; }
         if( *p2 ) { sum += 16;  val += *p2;  count++; }
         if( *p3 ) { sum += 128; val += *p3;  count++; }
         p1++;  p2++;  p3++;
         if( *p1 ) { sum += 4;   val += *p1;  count++; }
         if( *p2 ) { sum += 32;  val += *p2;  count++; }
         if( *p3 ) { sum += 256; val += *p3;  count++; }
         if( sum != 0 )
           { /*printf("i=%d premap=%d val=%d count=%d\n",
                       i,sum,val,count);*/
             sum = MASK & map3wndwr( sum );
             /*printf("postmap=%d postval=%d\n",sum,val);*/
             if( sum != 0 ) { *po++ = val/count; changes++; }
             else           { *po++ =   0; }
           }
         else { *po++ = 0; }
       }
     else /* increment all pointers;  out = in */
       { p1++; p3++; *po++ = *p2++; }
   }
return(changes);
/*----------------------------------------------------------*/
}
