/*
 *  RGNFIL
 *
 *      This routine fills in an already blanked image with
 *      a region's pixels.  Pixels are assigned the given value.
 *      Returns the number of pixels filled in.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           rgnfil(region_list,region_num,offset,
 *                         image_ptr,x_size,y_size,value)
 *  Modules used:   none
 *
 */
 
int rgnfil(regnlist,regnum,offset,imgptr,nx,ny,value)
unsigned char   *imgptr,value;
int             regnum,offset,nx,ny;
int             *regnlist;
{
    register short int  *pxlptr;
    register int        *rptr,ix,iy,j;
    int                 nregns,npixels;

    /* Fill In Region in Image with Value */

    nregns = *regnlist++;
    rptr = regnlist;
    npixels = *(rptr + 5*regnum);
    pxlptr = (short int *)(rptr + 5*nregns + offset);
    for(j=0; j<npixels; ++j)
    {
        ix = *pxlptr++;
        iy = *pxlptr++;
        *(imgptr+iy*nx+ix) = value;
    }
    return(npixels);
}
