/*
 *  RGNPRC2
 *
 *      This routine processes labelled region image to
 *      obtain region by region description
 *      This subroutine accepts a image (labels) array of size
 *      (nx x ny) and the equivalent labels array (equivlabl)
 *      containing (nregns) as input.
 *      It generates a region list as output.
 *
 *  Author:     Paul J. Besl    (4-5-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           rgnprc(labels,x_size,y_size,equiv_label,num_regions)
 *  Modules used:   none
 *
 */
 
int *rgnprc2(labels,nx,ny,equivlabl,nregns)
unsigned short int  *labels,*equivlabl; 
int                 nx,ny,nregns; 
{
    register int                i,ix,iy,*rptr;
    register unsigned short     int *lptr;
    int                         *regnlist;
    unsigned char               *malloc();
    int                         ntot,listsize;

    /* Allocate Memory for region list */

    listsize = 1 + nregns;
    regnlist = (int *)malloc(sizeof(int)*listsize);
    rptr = regnlist;
    for(i=0; i<listsize; ++i)
        *rptr++ = 0;
    *regnlist++ = nregns;

    /* perform second pass over label image to correct 
       image labels generated by regnlabl subroutine   */

    ntot = nx*ny;
    lptr = labels;
    for(i=0;i<ntot;++i)
    {
        if( *lptr != 0 ) 
        {
            *lptr = equivlabl[*lptr];
            rptr = regnlist + (*lptr-1); 
            (*rptr) = (*rptr) + 1;          /* increment pixel count region list */
        }
        lptr++;
    }

    /* Return region list to calling program */

    regnlist--;
    return(regnlist);
}
