/*
 *  RGNSIZ
 *
 *      This routine finds the min/max box size of a region
 *      Use the given region list.
 *      Returns the Number of Pixels.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           rgnsiz(region_list,region_num,offset,
 *                         x_size,y_size,ix,iy)
 *  Modules used:   none
 *      
 */     
 
int rgnsiz(regnlist,regnum,offset,nx,ny,ix,iy)
int regnum,offset,*nx,*ny,*ix,*iy;
int *regnlist;
{
    register int    *rptr;
    int             npixels,ixmin,iymin,ixmax,iymax;

    /* Get Min/max box size and Center of min/max box */

    rptr = regnlist + 5*regnum + 1;
    npixels = *(rptr);
    ixmin = *(rptr + 1);
    iymin = *(rptr + 2);
    ixmax = *(rptr + 3);
    iymax = *(rptr + 4);
    *nx = ixmax - ixmin + 1;
    *ny = iymax - iymin + 1;
    *ix = 0.5 * ( ixmax + ixmin );
    *iy = 0.5 * ( iymax + iymin );
    printf("%d Pixels in %d X %d Window ",npixels,*nx,*ny);
    printf("Centered About (%d,%d)\n",*ix,*iy);
    return(npixels);
}
