/*
 *  RGNSRT
 *
 *      This routine finds the min/max box size of a region
 *      Use the given region list.
 *      Returns the Number of Pixels.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           rgnsrt(region_list,region_labels,r_offsets,num_regions)
 *  Modules used:   dumbsort()
 *      
 */     
 
int rgnsrt(regnlist,regnlbls,roffsets,nregns)
int *regnlist,*regnlbls,*roffsets,nregns;
{
    register int    *rptr;
    register int    i,*pcptr;
    int             *imalloc();
    int             *pxlcnt,*rlptr,*osptr,count;

    /* Sort Regions by Size */

    pxlcnt = imalloc(nregns);
    rptr = regnlist;
    pcptr = pxlcnt;
    rlptr = regnlbls;
    osptr = roffsets;
    count = 0;
    for(i=0; i<nregns; ++i)
    {
        *pcptr = *rptr;
        rptr += 5;
        *rlptr++ = i;
        *osptr++ = count;
        count += (*pcptr++);
    }
    dumbsort(pxlcnt,regnlbls,nregns);
    free(pxlcnt);
    return(count);
}
