/*
 *  RGNXYZ
 *
 *      This routine builds xyz arrays from region list and image
 *      Returns the number of xyz points added to xyz arrays
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           rgnxyz(region_list,region_num,offset,image_ptr,
 *                         x_size,y_size,x,y,z,limit)
 *  Modules used:   none
 *      
 */     

int rgnxyz(regnlist,regnum,offset,imgptr,nx,ny,x,y,z,limit)
int             regnum,offset,nx,ny,limit;
unsigned char   *imgptr;
float           *x,*y,*z;
int             *regnlist;
{
    register short int  *pxlptr;
    register int        *rptr,ix,iy,j;
    int                 nregns,npixels;

    /* Deposit x,y,z values in float x,y,z arrays */

    nregns = *regnlist++;
    rptr = regnlist;
    npixels = *(rptr + 5*regnum);
    if( npixels >= limit )
    {
        printf("regnxyz: Pixel Limit (%d) Exceeded (%d)\n",limit,npixels);
        exit(1);
    }
    /* printf("regnxyz: %d Pixels\n",npixels); */
    pxlptr = (short int *)(rptr + 5*nregns + offset);
    for(j=0; j<npixels; ++j)
    {
        *x++ = ix = *pxlptr++;
        *y++ = iy = *pxlptr++;
        *z++ = (float) *(imgptr+iy*nx+ix);
    }
    return(npixels);
}
