/*
 *  SCOEFPRNT
 *
 *      This routine prints coefficient vector to file.
 *      Save surface equation coefficients in file.
 *
 *  Author:     Paul J. Besl    (8-5-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           scoefprnt(filptr,fitmode,cvec)
 *  Modules used:   none
 *
 */

/* stop listing <stdio.c> */
/* #nolist */
#include <stdio.h>
/* #list */

int scoefprnt(filptr,fitmode,cvec)
FILE    *filptr;
double  cvec[];
int     fitmode;
{
    static char     strings[4][12] = { "Planar","Biquadratic","Bicubic","Biquartic" };

    /* Print Out Surface Type */

    if( fitmode < 0 || fitmode > 3 )
        return(-1);
    fprintf(filptr,"%d : %s Surface\n",fitmode,strings[fitmode]);

    /* Print Out Coefficients */

    fprintf(filptr,"a= %.10g  b= %.10g  c= %.10g\n",cvec[0],cvec[1],cvec[2]);
    if( fitmode > 0 ) 
        fprintf(filptr,"d= %.10g  e= %.10g  f= %.10g\n",cvec[3],cvec[4],cvec[5]);
    if( fitmode > 1 ) 
        fprintf(filptr,"g= %.10g  h= %.10g  i= %.10g\n",cvec[6],cvec[7],cvec[8]);
    if( fitmode > 2 ) 
    {
        fprintf(filptr,"j= %.10g  k= %.10g  l= %.10g\n",cvec[9],cvec[10],cvec[11]);
        fprintf(filptr,"m= %.10g  n= %.10g  o= %.10g\n",cvec[12],cvec[13],cvec[14]);
    }
    fflush(filptr);
}
