/*
 *  SUBSTR
 *
 *  This subroutine accepts the string "s" as input.
 *  It searches in "s" for the substring "t".
 *  If "t" is found in "s", then the position
 *  of the first letter of "t" is returned.
 *  If "t" is not found, -1 is returned.
 *
 *  Author:     Paul J. Besl    (5-10-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           substr(s,t)
 *  Modules used:   none
 *
 */
 
int substr(s,t)
char    s[],t[];
{
    register int    i,j,k;
    static char     eos = '\0';

    for(i=0; s[i] != eos; ++i)
    {
        for(j=i,k=0; t[k] != eos && s[j] == t[k]; ++j,++k);
        if(t[k] == eos)  return(i);
    }
    return(-1);
}
