/*
 *  VMEMCHK
 *
 *  This subroutine allows you to check on your break point
 *  to make sure you are not gobbling up virtual memory by
 *  calling black-box subroutines time and time again.
 *
 *  Author:     Paul J. Besl    (8-13-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           vmemchk(memory_value)
 *  Modules used:   none
 *
 */

#include <stdio.h>

void vmemchk(memval)
int *memval;
{
    unsigned char   *memptr,*sbrk();
    register int    tempval,diff;

    memptr = sbrk(0);
    tempval = (int)memptr;
    if( *memval != 0 ) 
    {
        diff = tempval - (*memval);
        if( diff != 0 )
        {
            fprintf(stdout,"vmemchk: %d New Bytes Allocated!  ",diff); 
            diff = 33760000 - tempval;
            fprintf(stdout,"(%d Bytes from 33.76MB Limit!)\n",diff); 
        }
    }
    *memval = tempval;
}
