/*
 *  WRTIMAGE
 *
 *  This subroutine writes the file by the name (filename)
 *  with a n x n virtual memory array.
 *
 *  Author:     Paul J. Besl    (12-6-84)
 *
 *  Revised:    Arnold. H. Chiu (8-31-88)
 *  
 *  Call:           wrtimage(file_name,image_pointer,x_size,y_size)
 *  Modules used:   none
 *
 */

/* stop listing of <stdio.h> */
/* #nolist */
#include <stdio.h>
/* #list */

void wrtimage(filename,imgptr,xsize,ysize)
char            *filename;
unsigned char   *imgptr;
int             xsize,ysize;
{
    register int    nsqr;            /* image size constant */
    register int    nwrite;          /* number of bytes written */ 
    FILE            *filptr;         /* file pointer             */

    /* open file, exit if not successful */

    filptr = fopen(filename,"w");
    if (filptr == NULL)
    {
        fprintf(stderr,"wrtimage: Can't Open File '%s'\n",filename);
        exit(1);
    }

    /* fill up input image array with pixel data */

    nsqr=xsize*ysize;
    nwrite = fwrite(imgptr,1,nsqr,filptr);
    fclose(filptr);

    /* exit and notify user of error */

    if(nwrite != nsqr)
        fprintf(stderr,"wrtimage: Output_Write_Error\n");

    /* return pointer to calling program */

    fprintf(stderr,"%dx%d image written to '%s'\n",xsize,ysize,filename);
}
