int xyzcmpct(xb,yb,zb,npts,xa,ya,za)
float *xa,*ya,*za,*xb,*yb,*zb;
int npts;
/*
 *  XYZ ARRAY COMPACT ROUTINE 
 *  Reduce Number of Points in (b) arrays for Fitting
 *  when Number of Points Exceeds Threshold.
 *  Returns Reduced Number of Points. 
 *  Paul J. Besl   8-13-85
 */
/*  Copyright Paul J. Besl 1985 | All Rights Reserved. */
{
register int i,incr;
register float *xp,*yp,*zp;
/*-----------------------------------------------------------------*/
/*
 * Don't Do Anything Unless You Have A Lot of Points
 */
if( npts <= 800 ) 
  { incr = 1; }
else if(  800 < npts && npts <= 1200 ) 
  { npts = npts/2; incr = 2; }
else if( 1200 < npts && npts <= 1800 ) 
  { npts = npts/3; incr = 3; }
else if( 1800 < npts && npts <= 2400 ) 
  { npts = npts/4; incr = 4; }
else if( 2400 < npts && npts <= 3000 ) 
  { npts = npts/5; incr = 5; }
else if( 3000 < npts && npts <= 3600 ) 
  { npts = npts/6; incr = 6; }
else if( 3600 < npts && npts <= 4200 ) 
  { npts = npts/7; incr = 7; }
else if( 4200 < npts && npts <= 4800 ) 
  { npts = npts/8; incr = 8; }
else if( 4800 < npts && npts <= 48000 )
  { npts = npts/10; incr = 10; }
else if( 48000 < npts )
  { npts = npts/20; incr = 20; }
/*
 *  Compact XYZ arrays 
 */
xp = xb;    yp = yb;    zp = zb;
for(i=0;i<npts;++i)
   { *xa++ = *xp;   *ya++ = *yp;   *za++ = *zp; 
     xp += incr;   yp += incr;   zp += incr;
   }
printf("%d Points Used for Fit --> ",npts);
return(npts);
/*----------------------------------------------*/
}
