#include <math.h>

int xyzstats(x,y,z,npts,xm,ym,zm,xs,ys,zs)
float *x,*y,*z,*xm,*ym,*zm,*xs,*ys,*zs;
int npts;
/*
 *  XYZ STATISTICS ROUTINE 
 *  Compute Means and Standard Deviations
 *  of 3 coordinate arrays simultaneously.
 *  Paul J. Besl   7-17-85
 */
/*  Copyright P_BesL 1985 / All Rights Reserved. */
{
int i;
register float *xp,*yp,*zp,xsd,ysd,zsd;
float xmean,ymean,zmean;
/*-----------------------------------------------------------------*/
if( npts <= 0 ) return(0);
/*
 * Read (x,y) Points and Get (z) value on the way 
 */
xmean = 0.0; ymean = 0.0; zmean = 0.0;
xsd = 0.0;   ysd = 0.0;   zsd = 0.0;
xp = x;      yp = y;      zp = z;
for(i=0;i<npts;++i)
   { xsd += (*xp)*(*xp); ysd += (*yp)*(*yp); zsd += (*zp)*(*zp);
     xmean += *xp++;     ymean += *yp++;     zmean += *zp++;
   }
xmean /= (float)npts;  ymean /= (float)npts;  zmean /= (float)npts;
xsd /= (float)npts;    ysd /= (float)npts;    zsd /= (float)npts;
xsd -= xmean*xmean; ysd -= ymean*ymean; zsd -= zmean*zmean;
xsd = sqrt(xsd); ysd = sqrt(ysd); zsd = sqrt(zsd);
*xm = xmean; *ym = ymean; *zm = zmean;
*xs = xsd;   *ys = ysd;   *zs = zsd;
/*
 * Print Out Section
 */
/* printf("-----------------------------------------\n"); */
/* printf("Mean(x,y,z)=(%g,%g,%g)\n",xmean,ymean,zmean); */
/* printf("Std.Dev(x,y,z)=(%g,%g,%g)\n",xsd,ysd,zsd); */
/* printf("-----------------------------------------\n"); */
/*-----------------------------------------------------------------*/
}
