/*
 *  ZCUBC
 *
 *      This routine evaluates a bicubic surface.
 *
 *  Author:     Arnold. H. Chiu (9-6-88)
 *  
 *  Call:           zcubc(x,y,a)
 *
 *  Modules used:   none
 *
 */
 
double zcubc(x,y,a)
double x,y;
double a[];
{
    double              x2,y2;
    double              x3,y3;
    register double     value,denom;

    x2 = x*x;
    y2 = y*y;
    x3 = x2*x;
    y3 = y2*y;
    value  = a[0] + a[1]*x + a[2]*y;
    value += a[3]*x*y + a[4]*x2 + a[5]*y2;
    value += a[6]*x2*y + a[7]*x*y2 + a[8]*x3 + a[9]*y3;
    return(value);
}
