/*
 *  ZQAR4
 *
 *      This routine evaluates a biquartic surface.
 *
 *  Author:     Paul J. Besl    (4-17-85)
 *
 *  Revised:    Arnold. H. Chiu (8-31-88)
 *  
 *  Call:           zqar4(x,y,a)
 *
 *  Modules used:   none
 *
 */
 
double zqar4(x,y,a)
double x,y;
double a[];
{
    double              x2,y2;
    double              x3,y3;
    register double     value,denom;

    x2 = x*x;
    y2 = y*y;
    x3 = x2*x;
    y3 = y2*y;
    value  = a[0] + a[1]*x + a[2]*y;
    value += a[3]*x*y + a[4]*x2 + a[5]*y2;
    value += a[6]*x2*y + a[7]*x*y2 + a[8]*x3 + a[9]*y3;
    value += a[10]*x3*y + a[11]*x2*y2 + a[12]*x*y3;
    value += a[13]*x3*x + a[14]*y3*y;
    return(value);
}
